import { uuid } from "@xywc-s/utils";
const defaultOptions = {
  id: uuid(),
  data: [],
  maxHeight: 650,
  size: "small",
  showHeader: true,
  showOverflow: true,
  autoResize: true,
  syncResize: true,
  stripe: true,
  round: true,
  columnConfig: {
    minWidth: "120px",
    resizable: true
  },
  rowConfig: {
    isCurrent: true,
    isHover: true,
    keyField: "id"
  },
  pagerConfig: {
    enabled: true,
    layouts: [
      "Sizes",
      "PrevJump",
      "PrevPage",
      "Number",
      "NextPage",
      "NextJump",
      "FullJump",
      "PageCount",
      "Total"
    ],
    currentPage: 1,
    pageSize: 10,
    total: 0,
    pageKey: "page",
    pageSizeKey: "pageSize"
  }
};
export {
  defaultOptions
};
