import { merge } from "lodash-es";
import { defaultOptions } from "./table/config.js";
import { BaseTable, CrudTable, useTable, useTableWithCrud } from "./table/index.js";
const setTable = (options) => {
  const mergeOptions = merge(defaultOptions, options);
  Object.keys(options).forEach((key) => {
    defaultOptions[key] = mergeOptions[key];
  });
};
export {
  BaseTable,
  CrudTable,
  setTable,
  useTable,
  useTableWithCrud
};
