import { BaseTable as BaseTable$1 } from "./base.js";
import { CrudTable as CrudTable$1 } from "./crud.js";
function useTable(options) {
  const Table = new BaseTable$1(options);
  const useTable2 = Table.use();
  return {
    Table,
    ...useTable2
  };
}
function useTableWithCrud(options) {
  const CrudTable2 = new CrudTable$1(options);
  const useTable2 = CrudTable2.use();
  return {
    CrudTable: CrudTable2,
    ...useTable2
  };
}
const BaseTable = BaseTable$1;
const CrudTable = CrudTable$1;
export {
  BaseTable,
  CrudTable,
  useTable,
  useTableWithCrud
};
