"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const base = require("./base.js");
const crud = require("./crud.js");
function useTable(options) {
  const Table = new base.BaseTable(options);
  const useTable2 = Table.use();
  return {
    Table,
    ...useTable2
  };
}
function useTableWithCrud(options) {
  const CrudTable2 = new crud.CrudTable(options);
  const useTable2 = CrudTable2.use();
  return {
    CrudTable: CrudTable2,
    ...useTable2
  };
}
const BaseTable = base.BaseTable;
const CrudTable = crud.CrudTable;
exports.BaseTable = BaseTable;
exports.CrudTable = CrudTable;
exports.useTable = useTable;
exports.useTableWithCrud = useTableWithCrud;
